Bug 448928 - updating causes file conflicts with gnome-panel
updating causes file conflicts with gnome-panel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 11:05 EDT by max
Modified: 2014-01-21 18:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 18:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
thsi text file requested by Ray S. (10.97 KB, text/plain)
2008-06-03 15:55 EDT, max
no flags Details
Errors from "yum update" (15.29 KB, text/plain)
2008-06-28 14:25 EDT, Christopher Beland
no flags Details

  None (edit)
Description max 2008-05-29 11:05:45 EDT
Description of problem:

updating the system causes a bug and stops the updateprocess, the file conflicts
are between i386 and x86_64 files

Version-Release number of selected component (if applicable):

see below

How reproducible:

happens again and again

Steps to Reproduce:
1.update your system
2.wait until the error occurs
  
Additional info:
Here's the complete error message (includes file versions)

Lade Pakete herunter:
Führe rpm_check_debug durch
Führe Verarbeitungsstest durch
Verarbeitungstest beendet


Verarbeitungs-Prüffehler:
  file /etc/gconf/schemas/gweather.schemas from install of
libgweather-2.22.1.1-3.fc9.x86_64 conflicts with file from package
gnome-applets-2.20.0-7.fc8.i386
  file /usr/lib/libpanel-applet-2.so.0 from install of
gnome-panel-libs-2.22.1.3-2.fc9.i386 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/clock.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/fish.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/pager.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/panel-default-setup.entries from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/panel-general.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/panel-global.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/panel-object.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/panel-toplevel.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/tasklist.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/window-list.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /etc/gconf/schemas/workspace-switcher.schemas from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/applications/gnome-panel.desktop from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome-panel/glade/window-list.glade from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/clock/es/clock.xml from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/clock/oc/clock.xml from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/fish/es/fish.xml from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/fish/es/legal.xml from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/fish/oc/fish.xml from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/window-list/es/window-list.xml from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/window-list/ko/window-list.xml from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/workspace-switcher/es/workspace-switcher.xml from
install of gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/workspace-switcher/ko/workspace-switcher.xml from
install of gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/gnome/help/workspace-switcher/sv/workspace-switcher.xml from
install of gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/af/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ar/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/be/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/be@latin/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/bn_IN/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ca/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/cs/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/da/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/de/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/el/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/en_GB/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/es/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/et/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/eu/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/fi/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/fr/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ga/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/gl/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/he/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/hi/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/hu/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/it/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ja/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ka/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/kn/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ko/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/lt/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/mg/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/mk/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ml/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/mr/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/nb/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ne/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/nl/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/nn/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/oc/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/pa/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/pl/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/pt/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/pt_BR/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/ru/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/sk/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/sl/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/sq/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/sv/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/te/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/th/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/tr/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/uk/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/vi/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/zh_CN/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/zh_HK/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/locale/zh_TW/LC_MESSAGES/gnome-panel-2.0.mo from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/omf/clock/clock-es.omf from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/omf/fish/fish-es.omf from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/omf/window-list/window-list-ko.omf from install of
gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/omf/workspace-switcher/workspace-switcher-ko.omf from install
of gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
  file /usr/share/omf/workspace-switcher/workspace-switcher-sv.omf from install
of gnome-panel-2.22.1.3-2.fc9.x86_64 conflicts with file from package
gnome-panel-2.20.1-1.fc8.i386
Comment 1 Ray Strode [halfline] 2008-05-29 13:53:09 EDT
Updating from 8 to 9?
Comment 2 Ray Strode [halfline] 2008-05-29 13:53:44 EDT
What procedure did you follow to update?
Comment 3 max 2008-05-30 08:22:53 EDT
No, I installed 9 and wanted to install the available updates.

I tried it with the update kit applet and the yum. Both gave me these errors.
Comment 4 Ray Strode [halfline] 2008-06-03 09:34:00 EDT
So you had F8 installed, did an upgrade to get to F9 and then tried to do an
update after the upgrade?

What steps did you follow before to upgrade from F8 to F9?
Comment 5 Ray Strode [halfline] 2008-06-03 09:35:23 EDT
Also can you run

cat /etc/yum.repos.d/* > repos.txt

and then attach repos.txt

?
Comment 6 max 2008-06-03 15:55:23 EDT
Created attachment 308284 [details]
thsi text file requested by Ray S.
Comment 7 max 2008-06-03 15:56:27 EDT
I had the 8 installed, used a dvd of 9 to upgrade (both x86_64).
After starting I got a message that there are important security updates and
that I should get them, so I did that, or, better to say, tried that.

above is the textfile
Comment 8 Chris Lumens 2008-06-18 13:41:18 EDT
Is this the final release of F9?  We added code to handle the gnome-panel
multilib change in April so if you were using one of the pre-releases, you may
not have gotten that fix included in your DVD.
Comment 9 Christopher Beland 2008-06-28 14:25:12 EDT
Created attachment 310511 [details]
Errors from "yum update"

I experienced the same problem when upgrading from Fedora 8 to Fedora 9.  I
used the final-release version of the network install CD.  After the upgrade, I
had the following RPMs installed:

gnome-panel-2.20.3-1.fc8.i386
gnome-panel-2.22.1.2-6.fc9.x86_64
gnome-panel-libs-2.22.1.2-6.fc9.i386
gnome-panel-libs-2.22.1.2-6.fc9.x86_64

To fix this, I had to do:

rpm -e gnome-panel-2.20.3-1.fc8.i386 gnome-panel-libs-2.22.1.2-6.fc9.i386
gnome-pilot-2.0.16-2.fc9.i386 gnome-utils-2.20.0.1-5.fc9.i386
control-center-2.22.2.1-1.fc9.i386

(I had x86_64 versions of all these installed.)
Comment 10 Andy Lindeberg 2008-08-04 11:51:19 EDT
Reassigning to yum. As a note, yum update is not an officially supported upgrade method. To upgrade, we recommend you use anaconda.
Comment 11 Seth Vidal 2008-08-04 12:33:25 EDT
How is this a yum bug. It just looks like a package didn't remove entirely, probably due a %post scriptlet failure.

Have we looked to see if there was a scriptlet failure in the older gnome-panel that was left dangling?
Comment 12 Jan Hutař 2008-09-10 05:05:03 EDT
Hello max,
could you try to remove gnome-panel.i386 (and more?) as suggested at comment #9 and answer question from comment #11? Have you solved this issue?
Comment 13 Jan Hutař 2008-09-10 05:05:50 EDT
Ah, it is already closed, sorry :(

Note You need to log in before you can comment on or make changes to this bug.